Skip to main content
POST
/
firework
/
v2
/
tenants
/
{tenant_id}
/
users
cURL
curl --request POST \
  --url https://api.flare.io/firework/v2/tenants/{tenant_id}/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "users": [
    {
      "user_id": 123,
      "is_readonly": true,
      "role": "viewer"
    }
  ]
}
'
import requests

url = "https://api.flare.io/firework/v2/tenants/{tenant_id}/users"

payload = { "users": [
{
"user_id": 123,
"is_readonly": True,
"role": "viewer"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({users: [{user_id: 123, is_readonly: true, role: 'viewer'}]})
};

fetch('https://api.flare.io/firework/v2/tenants/{tenant_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenant_id
integer
required

Body

application/json
users
object[]

Response

200 - undefined